RDKit::MCSParameters Struct Reference

`#include <FMCS.h>`

## Public Member Functions

| MCSParameters ()

## Public Attributes

bool | MaximizeBonds
double | Threshold
unsigned | Timeout
bool | Verbose
MCSAtomCompareParameters | AtomCompareParameters
MCSBondCompareParameters | BondCompareParameters
MCSAtomCompareFunction | AtomTyper
MCSBondCompareFunction | BondTyper
void * | CompareFunctionsUserData
MCSProgressCallback | ProgressCallback
void * | ProgressCallbackUserData
MCSFinalMatchCheckFunction | FinalMatchChecker
std::string | InitialSeed

## Detailed Description

Definition at line 97 of file FMCS.h.

## Constructor & Destructor Documentation

## MCSParameters()

RDKit::MCSParameters::MCSParameters | ( |  | ) |

inline

Definition at line 113 of file FMCS.h.

## Member Data Documentation

## AtomCompareParameters

MCSAtomCompareParameters RDKit::MCSParameters::AtomCompareParameters

Definition at line 102 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## AtomTyper

MCSAtomCompareFunction RDKit::MCSParameters::AtomTyper

Definition at line 104 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## BondCompareParameters

MCSBondCompareParameters RDKit::MCSParameters::BondCompareParameters

Definition at line 103 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## BondTyper

MCSBondCompareFunction RDKit::MCSParameters::BondTyper

Definition at line 105 of file FMCS.h.

Referenced by RDKit::FMCS::RingMatchTableSet::computeRingMatchTable().

## CompareFunctionsUserData

void* RDKit::MCSParameters::CompareFunctionsUserData

Definition at line 106 of file FMCS.h.

## FinalMatchChecker

MCSFinalMatchCheckFunction RDKit::MCSParameters::FinalMatchChecker

Definition at line 110 of file FMCS.h.

## InitialSeed

std::string RDKit::MCSParameters::InitialSeed

Definition at line 111 of file FMCS.h.

## MaximizeBonds

bool RDKit::MCSParameters::MaximizeBonds

Definition at line 98 of file FMCS.h.

## ProgressCallback

MCSProgressCallback RDKit::MCSParameters::ProgressCallback

Definition at line 107 of file FMCS.h.

## ProgressCallbackUserData

void* RDKit::MCSParameters::ProgressCallbackUserData

Definition at line 108 of file FMCS.h.

## Threshold

double RDKit::MCSParameters::Threshold

Definition at line 99 of file FMCS.h.

## Timeout

unsigned RDKit::MCSParameters::Timeout

Definition at line 100 of file FMCS.h.

## Verbose

bool RDKit::MCSParameters::Verbose

Definition at line 101 of file FMCS.h.

The documentation for this struct was generated from the following file:

- FMCS.h